Package io.dapr.config

# Class Property<T>

java.lang.Object
io.dapr.config.Property<T>

Direct Known Subclasses:
  `BooleanProperty`, `GenericProperty`, `IntegerProperty`, `MillisecondsDurationProperty`, `SecondsDurationProperty`, `StringProperty`

public abstract class Property<T> extends Object
A configuration property in the Dapr's SDK.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get()`
  Gets the value defined by system property first, then env variable or sticks to default.
  `T`
  `get(String override)`
  Gets the value defined by system property first, then env variable or sticks to default.
  `String`
  `getEnvName()`
  Gets the environment variable's name.
  `String`
  `getName()`
  Gets the Java property's name.
  `protected abstract T`
  `parse(String value)`
  Parses the value to the specific type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getName

    public String getName()
    Gets the Java property's name.
    Returns:
      Name.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEnvName

    public String getEnvName()
    Gets the environment variable's name.
    Returns:
      Name.

  - ### get

    public T get()
    Gets the value defined by system property first, then env variable or sticks to default.
    Returns:
      Value from system property (1st) or env variable (2nd) or default (last).

  - ### get

    public T get(String override)
    Gets the value defined by system property first, then env variable or sticks to default.
    Parameters:
      `override` - overrides the property value
    Returns:
      Value from system property (1st) or env variable (2nd) or default (last).

  - ### parse

    protected abstract T parse(String value)
    Parses the value to the specific type.
    Parameters:
      `value` - String value to be parsed.
    Returns:
      Value in the specific type.